Bug 255176 - net/rsplib: Update to 3.3.0
Summary: net/rsplib: Update to 3.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/dreibh/rsplib/comm...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-18 11:19 UTC by Gian-Simon Purkert
Modified: 2021-04-25 11:36 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (dreibh)


Attachments
Update to 3.3.0 (3.23 KB, patch)
2021-04-18 11:19 UTC, Gian-Simon Purkert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2021-04-18 11:19:31 UTC
Created attachment 224215 [details]
Update to 3.3.0
Comment 1 Fernando Apesteguía freebsd_committer 2021-04-20 06:32:55 UTC
Q/A:

# USES block
USES
+USE_LDCONFIG
+USE_QT

-CMAKE_ARGS

# USES=shebangfix related variables
SHEBANG_FILES

-USE_LDCONFIG
-USE_QT
# USES=cmake related variables
+CMAKE_ARGS

Thanks!
Comment 2 Gian-Simon Purkert 2021-04-20 08:19:57 UTC
Hy Fernando,

Can you give me a hint how you got those warnings? Not "make stage-qa" nor "portlint" said anything, what tool do you use?

Thanks in advance
Comment 3 Fernando Apesteguía freebsd_committer 2021-04-20 08:24:15 UTC
(In reply to Gian-Simon Purkert from comment #2)

portclippy from /ports-mgmt/portfmt which installs portfmt too. 

My three linters which I always run are:

portlint -AC
portclippy Makefile
portfmt Makefile

The last one is more like a "suggester" because sometimes it suggest formatting changes that might or might not be correct (like adding tabs or so).

Nevertheless, there is no need to update all this PRs, you did a great job! I can do these small modifications before committing.

Cheers!
Comment 4 Gian-Simon Purkert 2021-04-20 08:46:17 UTC
Nice! Thank you very much Fernando, for the hints and additional changes.

Have a great Day.
Comment 5 Fernando Apesteguía freebsd_committer 2021-04-25 11:36:19 UTC
Committed,

Thanks!
Comment 6 commit-hook freebsd_committer 2021-04-25 11:36:57 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ba365cae42422e70b541157bb32ad5697b75cd4d

commit ba365cae42422e70b541157bb32ad5697b75cd4d
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-20 07:11:59 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-25 11:31:47 +0000

    net/rsplib: Update to 3.3.0

    ChangeLog:
    https://github.com/dreibh/rsplib/commit/85ba8319d69da72a9c6ef5735cba9d0abc6bf54d

    While here, pet linters.

    PR:     255176
    Reported by:    gspurki@gmail.com
    Approved by:    dreibh@iem.uni-due.de (maintainer, timeout)

 net/rsplib/Makefile  |  6 +++---
 net/rsplib/distinfo  |  6 +++---
 net/rsplib/pkg-plist | 32 ++++++++++++++++----------------
 3 files changed, 22 insertions(+), 22 deletions(-)